← Iitheyibhile
Cima

Scotland

Women's West Region League Division 3

#IqelaPWDLPDBPPtsImo
1Carrick RFC3201–311WWL
2East Kilbride RFC2200–210WW
3Paisley RFC3102–26LLW
4Whitecraigs Rugby Club3102–45LLW
5Mid Argyll RFC1001–00L

Umthombo: Scottish Rugby · kujongiwe Okt 14, 16:52 · Imo: iziphumo ezintlanu zokugqibela esinazo, ezintsha zisekunene.

Imidlalo neziphumo →

Itheyibhile nganye yileyo ipapashwe yiligi ngokwayo, kuquka amanqaku ebhonasi, ukuthabathwa kwamanqaku nemithetho yokulingana. I-BP iboniswa apho iligi iyipapasha khona; kwezinye iindawo sele ikwi-Pts.